Cannot modify header information – headers already sent by

Greetings!

I’ve input one recurring event so far. That one event showed up at first and then just stopped showing. When I go in to edit the event, I click on the day of the week that the event occurs, and then hit update, I get an error message and it will not update.

Error message is:

Warning: in_array() expects parameter 2 to be array, string given in /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php on line 690

Warning: in_array() expects parameter 2 to be array, string given in /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php on line 690

Warning: in_array() expects parameter 2 to be array, string given in /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php on line 690

Warning: in_array() expects parameter 2 to be array, string given in /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php on line 690

Warning: in_array() expects parameter 2 to be array, string given in /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php on line 690

Warning: in_array() expects parameter 2 to be array, string given in /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php on line 690

Warning: in_array() expects parameter 2 to be array, string given in /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php on line 690

Warning: Cannot modify header information – headers already sent by (output started at /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php:690) in /home/sampson/public_html/wp-admin/post.php on line 233

Warning: Cannot modify header information – headers already sent by (output started at /home/sampson/public_html/wp-content/plugins/events-and-bookings/lib/class_eab_event_model.php:690) in /home/sampson/public_html/wp-includes/pluggable.php on line 1178

I’ve had this error since the first day I installed the plugin. Can you please advise?

Thank you for your help!

Heidi Hafner